<div class="ws-multiple-input-section">
  <input
    type="{{$ctrl.isNumeric ? 'number' : 'text'}}"
    ng-repeat="i in $ctrl.range($ctrl.inputCount) track by $index"
    class="ws-multiple-input form-input-text"
    maxlength="1"
    ng-keypress="$ctrl.onKeyPress($event)"
    ng-keydown="$ctrl.onKeyDown($event)"
    ng-paste="$ctrl.onPaste($event)"
    ng-model="$ctrl.model.inputs[$index]"
    ng-readonly="$ctrl.isReadonly" />
</div>
